Content-type: text/html

# IPSEC_ANYADDR

Section: C Library Functions (3)
Updated: 8 Sept 2000
Index Return to Main Contents

## NAME

ipsec anyaddr - get "any" address
ipsec isanyaddr - test address for equality to "any" address
ipsec unspecaddr - get "unspecified" address
ipsec isunspecaddr - test address for equality to "unspecified" address
ipsec loopbackaddr - get loopback address
ipsec isloopbackaddr - test address for equality to loopback address

## SYNOPSIS

#include <freeswan.h>

const char *anyaddr(int af, ip_address *dst);
int isanyaddr(const ip_address *src);
const char *unspecaddr(int af, ip_address *dst);
int isunspecaddr(const ip_address *src);
const char *loopbackaddr(int af, ip_address *dst);
int isloopbackaddr(const ip_address *src);

## DESCRIPTION

These functions fill in, and test for, special values of the ip_address type.

Anyaddr fills in the destination *dst with the ``any'' address of address family af (normally AF_INET or AF_INET6). The IPv4 ``any'' address is the one embodied in the old INADDR_ANY macro.

Isanyaddr returns 1 if the src address equals the ``any'' address, and 0 otherwise.

Similarly, unspecaddr supplies, and isunspecaddr tests for, the ``unspecified'' address, which may be the same as the ``any'' address.

Similarly, loopbackaddr supplies, and islookbackaddr tests for, the loopback address.

Anyaddr, unspecaddr, and loopbackaddr return NULL for success and a pointer to a string-literal error message for failure; see DIAGNOSTICS.

## SEE ALSO

inet(3), ipsec_addrtot(3), ipsec_sameaddr(3)

## DIAGNOSTICS

Fatal errors in the address-supplying functions are: unknown address family.

## HISTORY

Written for the FreeS/WAN project by Henry Spencer.

## Index

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO
DIAGNOSTICS
HISTORY

This document was created by man2html, using the manual pages.
Time: 05:09:31 GMT, June 19, 2001